/*
 * freq_measuring.c
 *
 * Created: 2016. 10. 11. 13:40:58
 * Author : AradiSzilard
 */ 

#include <avr/io.h>
#include <avr/interrupt.h>
#include <stdio.h>
#include "lcd.h"
#include "timer.h"

extern uint16_t frequx;
extern volatile uint8_t Task_1000ms;

void DislpalyResults()
{
   char str[16];
   lcd_rethome();
   sprintf(str,"%u",frequx);
   lcdreir(str);
}

int main(void)
{
	lcdinit();
	DDRA = DDRA | fx_mask;
	TIMER0_Init();
	TIMER2_Init();
	TIMER3_Init();
	sei();

	while(1)
	{
		FrequMeas();
		if(Task_1000ms)
		{
		  Task_1000ms=FALSE;
		  DislpalyResults();
		}
		
	}
}


